visageSDK

Public Attributes | List of all members
VsImage Struct Reference

Image store container. More...

`#include <vs_core_types_c.h>`

## Public Attributes
int | nSize
| sizeof(VsImage)
int | ID
| version (=0)
int | nChannels
| Most of OpenCV functions support 1,2,3 or 4 channels.
int | alphaChannel
| Ignored by OpenCV.
int | depth
| Pixel depth in bits: VS_DEPTH_8U, VS_DEPTH_8S, VS_DEPTH_16S, VS_DEPTH_32S, VS_DEPTH_32F and VS_DEPTH_64F are supported. More...
char | colorModel [4]
| Ignored by OpenCV.
char | channelSeq [4]
| Ignored by OpenCV.
int | dataOrder
| 0 - interleaved color channels, 1 - separate color channels. More...
int | origin
| 0 - top-left origin, 1 - bottom-left origin (Windows bitmaps style). More...
int | align
| Alignment of image rows (4 or 8). More...
int | width
| Image width in pixels. More...
int | height
| Image height in pixels. More...
struct _VsROI * | roi
| Image ROI. More...
struct _VsImage * | maskROI
| Must be NULL. More...
void * | imageId
| Must be NULL. More...
struct _VsTileInfo * | tileInfo
| Must be NULL. More...
int | imageSize
| Image data size in bytes (==image->height*image->widthStep in case of interleaved data)
char * | imageData
| Pointer to aligned image data. More...
int | widthStep
| Size of aligned image row in bytes. More...
int | BorderMode [4]
| Ignored by OpenCV. More...
int | BorderConst [4]
| Ignored by OpenCV. More...
char * | imageDataOrigin
| Pointer to very origin of image data (not necessarily aligned) - needed for correct deallocation.

## Detailed Description

Image store container.

Definition at line 460 of file vs_core_types_c.h.

## Member Data Documentation

## ◆ align

int VsImage::align

Alignment of image rows (4 or 8).

OpenCV ignores it and uses widthStep instead.

Definition at line 474 of file vs_core_types_c.h.

## ◆ BorderConst

int VsImage::BorderConst[4]

Ignored by OpenCV.

Definition at line 488 of file vs_core_types_c.h.

## ◆ BorderMode

int VsImage::BorderMode[4]

Ignored by OpenCV.

Definition at line 487 of file vs_core_types_c.h.

## ◆ dataOrder

int VsImage::dataOrder

0 - interleaved color channels, 1 - separate color channels.

vsCreateImage can only create interleaved images

Definition at line 470 of file vs_core_types_c.h.

## ◆ depth

int VsImage::depth

Pixel depth in bits: VS_DEPTH_8U, VS_DEPTH_8S, VS_DEPTH_16S, VS_DEPTH_32S, VS_DEPTH_32F and VS_DEPTH_64F are supported.

Definition at line 466 of file vs_core_types_c.h.

## ◆ height

int VsImage::height

Image height in pixels.

Definition at line 477 of file vs_core_types_c.h.

## ◆ imageData

char* VsImage::imageData

Pointer to aligned image data.

Definition at line 485 of file vs_core_types_c.h.

## ◆ imageId

void* VsImage::imageId

Must be NULL.

Definition at line 480 of file vs_core_types_c.h.

## ◆ maskROI

struct _VsImage* VsImage::maskROI

Must be NULL.

Definition at line 479 of file vs_core_types_c.h.

## ◆ origin

int VsImage::origin

0 - top-left origin, 1 - bottom-left origin (Windows bitmaps style).

Definition at line 472 of file vs_core_types_c.h.

## ◆ roi

struct _VsROI* VsImage::roi

Image ROI.

If NULL, the whole image is selected.

Definition at line 478 of file vs_core_types_c.h.

## ◆ tileInfo

struct _VsTileInfo* VsImage::tileInfo

Must be NULL.

Definition at line 481 of file vs_core_types_c.h.

## ◆ width

int VsImage::width

Image width in pixels.

Definition at line 476 of file vs_core_types_c.h.

## ◆ widthStep

int VsImage::widthStep

Size of aligned image row in bytes.

Definition at line 486 of file vs_core_types_c.h.

The documentation for this struct was generated from the following file:

- vs_core_types_c.h